classification
Title: Windows launcher exits with error after listing available versions
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: bgerrity, miss-islington, paul.moore, steve.dower, terry.reedy, tim.golden, zach.ware
Priority: normal Keywords: easy (C), patch

Created on 2018-08-28 17:12 by bgerrity, last changed 2018-11-20 21:48 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9039 merged bgerrity, 2018-09-03 08:44
PR 10622 merged miss-islington, 2018-11-20 21:28
Messages (4)
msg324265 - (view) Author: Brendan Gerrity (bgerrity) * Date: 2018-08-28 17:12
When any of the list available pythons arguments is used (e.g. `py -0`), the launcher exits with the error code 103 `RC_NO_PYTHON`.

This is inconsistent with the launcher's `-h` help argument, which exits with a 0.
msg324488 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-09-03 01:59
I shrank the title to fit in the space and clarified that it does list the versions (at least on my Win 10).  So this is invisible in normal use.
msg330154 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-11-20 21:28
New changeset c8fe9ccf7bfbcf9a2cb48e3b6abacf6ec0e5e58d by Steve Dower (Brendan Gerrity) in branch 'master':
bpo-34532: Fixed exit code for py.exe list versions arg (GH-9039)
https://github.com/python/cpython/commit/c8fe9ccf7bfbcf9a2cb48e3b6abacf6ec0e5e58d
msg330156 - (view) Author: miss-islington (miss-islington) Date: 2018-11-20 21:48
New changeset 129642a1ff6a2f55933186b2303c307d58b710eb by Miss Islington (bot) in branch '3.7':
bpo-34532: Fixed exit code for py.exe list versions arg (GH-9039)
https://github.com/python/cpython/commit/129642a1ff6a2f55933186b2303c307d58b710eb
History
Date User Action Args
2018-11-20 21:48:38miss-islingtonsetnosy: + miss-islington
messages: + msg330156
2018-11-20 21:32:38steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-11-20 21:28:51miss-islingtonsetpull_requests: + pull_request9870
2018-11-20 21:28:33steve.dowersetmessages: + msg330154
2018-09-03 08:44:27bgerritysetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request8501
2018-09-03 05:36:23serhiy.storchakasetkeywords: + easy (C)
2018-09-03 05:36:04serhiy.storchakasetstage: needs patch
2018-09-03 01:59:51terry.reedysetnosy: + terry.reedy

messages: + msg324488
title: Python launcher on Windows exits with error when requesting list of available versions -> Windows launcher exits with error after listing available versions
2018-08-28 17:12:38bgerritycreate